import { MetadataController } from 'controllers'
import { useState } from 'react'
import { useDidMount } from './useDidMount'

export const useNSFWList = () => {
  const [nsfwList, setNSFWList] = useState<string[]>([])

  useDidMount(async () => {
    const metadataController = await MetadataController.getInstance()

    metadataController.getNSFWList().then((list) => {
      setNSFWList(list)
    })
  })

  return nsfwList
}
