import styles from '../styles/footer.module.scss'

export const Footer = () => {
  return (
    <div className={styles.secMainFooterWrapper}>
      <div className={styles.secMainFooter}>
        <p className={styles.secMainFooterPara}>
          Built with&nbsp;
          <a
            className={styles.secMainFooterParaLink}
            href='https://github.com/nostr-protocol/nostr'
            target='_blank'
          >
            Nostr
          </a>{' '}
          by&nbsp;
          <a
            className={styles.secMainFooterParaLink}
            href='https://primal.net/p/npub18n4ysp43ux5c98fs6h9c57qpr4p8r3j8f6e32v0vj8egzy878aqqyzzk9r'
            target='_blank'
          >
            Freakoverse
          </a>
          , with the support of{' '}
          <a className={styles.secMainFooterParaLink} href='backers.html'>
            Supporters
          </a>
          &nbsp;and Nostr developer&nbsp;
          <a
            className={styles.secMainFooterParaLink}
            href='https://nostrdev.com'
            target='_blank'
          >
            NostrDev
          </a>
          . Check our&nbsp;
          <a className={styles.secMainFooterParaLink} href='backup.html'>
            Backup Plan
          </a>
          .
        </p>
      </div>
    </div>
  )
}
